import { HTMLAttributes } from 'react';
import { FileIconMatch } from '@teambit/ui.utils.get-file-icon';
import type { DependencyType } from '@teambit/ui.queries.get-component-code';
export declare type CodeTabTreeProps = {
    fileTree: any[];
    dependencies?: DependencyType[];
    currentFile?: string;
    devFiles?: string[];
    mainFile?: string;
    fileIconMatchers?: FileIconMatch[];
} & HTMLAttributes<HTMLDivElement>;
export declare function CodeTabTree({ className, fileTree, dependencies, currentFile, devFiles, mainFile, fileIconMatchers, }: CodeTabTreeProps): JSX.Element;
